"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-aarch64-cpython-310/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd163b0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd16440>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd164d0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd16560>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd165f0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd16680>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd16710>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd167a0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd16830>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd168c0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd16950>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd169e0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd16a70>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd16b00>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd16b90>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd16c20>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd16cb0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd16d40>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd16dd0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd16e60>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd16ef0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd16f80>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd17010>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd170a0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd171c0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd17130>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd17250>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd172e0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd17370>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd17400>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd17490>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd17520>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd175b0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd17640>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd176d0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd17760>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd177f0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd17880>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd17910>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd179a0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd17a30>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd17ac0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd17b50>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd17be0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd17c70>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd17d00>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd17d90>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd17e20>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd17eb0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd17f40>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd58040>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd580d0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd58160>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd581f0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd58280>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd58310>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd583a0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd58430>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd584c0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd58550>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd585e0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd58670>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd58700>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd58790>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd58820>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd588b0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd58a60>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd58940>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd58af0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd58b80>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd58c10>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd58ca0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd58d30>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd58e50>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd58dc0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd58ee0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd58f70>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd59000>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd59120>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd59090>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd591b0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd59240>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd592d0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd59360>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd593f0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0xffffadd59480>)]
name: str = 'fr_HOCCN'
